- Qt 5.15
- Qt Core
- C++ Classes
- QRect
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QRect

The following members of class QRect are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QRect | intersect(const QRect &rectangle) const
`(obsolete)` QRect | unite(const QRect &rectangle) const

## Member Function Documentation

### QRect QRect::intersect(const QRect &rectangle) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use intersected(rectangle) instead.

### QRect QRect::unite(const QRect &rectangle) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use united(rectangle) instead.